/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,o){return new(t||(t=Promise))((function(a,n){function r(e){try{p(o.next(e))}catch(e){n(e)}}function i(e){try{p(o.throw(e))}catch(e){n(e)}}function p(e){var s;e.done?a(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,i)}p((o=o.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),GetJobs_1=require("../../../../api/methods/list/GetJobs"),RestBaseHandler_1=require("../../../RestBaseHandler"),constants_1=require("../../../../api/constants");class SpoolFilesHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s){return __awaiter(this,void 0,void 0,(function*(){const t={statusMessage:constants_1.ZosApiMessages.listSpoolFiles.message,percentComplete:0,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:t});const o=yield GetJobs_1.GetJobs.getJob(s,e.arguments.jobid.toUpperCase()),a=(yield GetJobs_1.GetJobs.getSpoolFilesForJob(s,o)).apiResponse.items.map((s=>({id:s.id,ddname:s.ddName,procstep:s["proc step"],"record-count":s.recordCount,stepname:s["step name"],jobid:e.arguments.jobid,jobname:o.jobName})));return e.response.data.setObj(a),e.response.data.setMessage(`"Spool files obtained for job "${o.jobName}(${e.arguments.jobid})"`),e.response.format.output({fields:["id","ddname","procstep","stepname"],output:a,format:"table"}),{success:!0,commandResponse:null,apiResponse:a}}))}}exports.default=SpoolFilesHandler;