/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,t,o,n){return new(o||(o=Promise))((function(s,i){function r(e){try{c(n.next(e))}catch(e){i(e)}}function a(e){try{c(n.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?s(e.value):(t=e.value,t instanceof o?t:new o((function(e){e(t)}))).then(r,a)}c((n=n.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.CancelJobs=void 0;const imperative_1=require("@zowe/imperative"),constants_1=require("../../constants"),rest_1=require("../../rest"),CoreUtils_1=require("../../utils/CoreUtils");class CancelJobs{static cancelJob(e,t,o,n){return __awaiter(this,void 0,void 0,(function*(){return this.log.trace("cancelJob called with jobname %s jobid %s",t,o),yield this.cancelJobCommon(e,{jobName:t,jobId:o})}))}static cancelJobForJob(e,t,o){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("cancelJobForJob called with job %s",JSON.stringify(t));return{success:!0,commandResponse:null,apiResponse:yield this.cancelJobCommon(e,{jobName:t.jobName,jobId:t.jobId,version:o})}}))}static cancelJobCommon(e,t){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("cancelJobCommon called with parms %s",JSON.stringify(t)),imperative_1.ImperativeExpect.keysToBeDefinedAndNonBlank(t,["jobName","jobId"],"You must specify jobname and jobid for the job you want to cancel."),null==t.version&&(t.version=constants_1.JobsConstants.DEFAULT_CANCEL_VERSION),this.log.debug("Canceling job %s(%s). Job modify version?: %s",t.jobName,t.jobId,t.version);const o={request:constants_1.JobsConstants.REQUEST_CANCEL},n=(0,CoreUtils_1.setHeaders)(e);try{const s=(0,CoreUtils_1.endpointBuilder)(e,`${constants_1.JobsConstants.RESOURCE}/${t.jobName}/${t.jobId}`);this.log.debug(`Endpoint: ${s}`),yield rest_1.RseRestClient.putExpectJSON(e,s,n,o)}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.CancelJobs=CancelJobs;