/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,r){return new(t||(t=Promise))((function(o,i){function a(e){try{p(r.next(e))}catch(e){i(e)}}function n(e){try{p(r.throw(e))}catch(e){i(e)}}function p(e){var s;e.done?o(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(a,n)}p((r=r.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ChangePassword=void 0;const imperative_1=require("@zowe/imperative"),constants_1=require("../../constants"),rest_1=require("../../rest"),CoreUtils_1=require("../../utils/CoreUtils"),ProfileUtils_1=require("../../profiles/ProfileUtils");class ChangePassword{static setNewPassword(e,s,t,r,o){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("ChangePassword.setNewPassword called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(r,constants_1.ZosApiMessages.missingNewPassword.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosApiMessages.missingCurrentPassword.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),yield(0,CoreUtils_1.apiVersionCheck)(e,102);if(0!==t.localeCompare(e.ISession.password))throw this.log.error(constants_1.ZosApiMessages.currentPasswordValues.message),new imperative_1.ImperativeError({msg:constants_1.ZosApiMessages.currentPasswordValues.message});if(0===t.localeCompare(r))throw this.log.error(constants_1.ZosApiMessages.identicalPasswordValues.message),new imperative_1.ImperativeError({msg:constants_1.ZosApiMessages.identicalPasswordValues.message});try{yield(0,CoreUtils_1.apiVersionCheck)(e,109)}catch(e){if(r.length>8)throw this.log.error(constants_1.ZosApiMessages.passwordLength.message),new imperative_1.ImperativeError({msg:constants_1.ZosApiMessages.passwordLength.message})}const i=(0,CoreUtils_1.endpointBuilder)(e,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHLOGIN}`);this.log.debug(`Endpoint: ${i}`);const a={userid:e.ISession.user.toUpperCase(),password:t.toUpperCase(),newpassword:r.toUpperCase()},n=yield rest_1.RseRestClient.postExpectJSON(e,i,[],a);return s.password&&null===n&&(s.password=r,yield ProfileUtils_1.ProfileUtils.updateYaml(o,s)),{success:!0,commandResponse:null,apiResponse:n}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.ChangePassword=ChangePassword;