/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,t,s,i){return new(s||(s=Promise))((function(n,o){function a(e){try{_(i.next(e))}catch(e){o(e)}}function r(e){try{_(i.throw(e))}catch(e){o(e)}}function _(e){var t;e.done?n(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(a,r)}_((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Get=void 0;const path_1=require("path"),imperative_1=require("@zowe/imperative"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),constants_1=require("../../constants"),rest_1=require("../../rest"),list_1=require("../list"),__1=require("../..");class Get{static dataSet(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Get.dataSet called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);try{let i;i=s.volume?(0,__1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.DATASETS,`-(${s.volume})`,t)):(0,__1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.DATASETS,t)),this.log.debug(`Endpoint: ${i}`);const n=(0,__1.setHeaders)(e);return yield rest_1.RseRestClient.getExpectJSON(e,i,n)}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static getFileTag(e,t){return __awaiter(this,void 0,void 0,(function*(){return(yield list_1.List.fileList(e,t)).apiResponse.encoding}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.Get=Get;