/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { ICommandOptionDefinition } from '@zowe/imperative';
/**
 * Object containing all extra options to be used by the Create API
 */
export declare const ZosFilesCreateExtraOptions: {
    [key: string]: ICommandOptionDefinition;
};
/**
 * Object containing all options to be used by the Create API
 */
export declare const ZosFilesCreateOptions: {
    [key: string]: ICommandOptionDefinition;
};
