/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,a){return new(t||(t=Promise))((function(i,r){function n(e){try{p(a.next(e))}catch(e){r(e)}}function o(e){try{p(a.throw(e))}catch(e){r(e)}}function p(e){var s;e.done?i(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(n,o)}p((a=a.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),List_1=require("../../../../api/methods/list/List"),RestBaseHandler_1=require("../../../RestBaseHandler"),constants_1=require("../../../../api/constants");class UssFilesHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s,t){return __awaiter(this,void 0,void 0,(function*(){imperative_1.Logger.getAppLogger().debug("UssFilesHandler.processWithSession called.");const t={statusMessage:constants_1.ZosApiMessages.listUss.message,percentComplete:0,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:t});const a=yield List_1.List.fileList(s,e.arguments.path);return e.response.data.setObj(a.apiResponse),e.response.data.setMessage(`Returned list of UNIX files and directories in path "${e.arguments.path}"`),e.response.format.output({fields:["name","size","lastModified","type"],output:a.apiResponse.children,format:"table"}),a}))}}exports.default=UssFilesHandler;